package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.DailyReportUploadPermission;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (DailyReportUploadPermission)表数据库访问层
 *
 * @author Long
 * @since 2022-09-23 16:58:17
 */
public interface DailyReportUploadPermissionMapper {

    /**
     * 通过ID查询单条数据
     * @param userId
     * @param time
     * @return
     */
    Integer queryByIdAndTime(@Param("userId") String userId,@Param("time") String time);

    /**
     * 修改数据
     * @param userId
     */
    void update(@Param("userId") String userId,@Param("time") String time);

    /**
     * 批量增加数据
     * @param entities
     * @return
     */
    int insertBatch(@Param("entities") List<DailyReportUploadPermission> entities);

    /**
     * 查询status为1的集合
     * @param userId
     */
    List<String> queryById(@Param("userId") String userId);

    /**
     * 新增用户id
     */
    void addUserIdColumn();

    List<DailyReportUploadPermission> selectAll();

    void updateList(@Param("list") List<DailyReportUploadPermission> list);
}

